import AdmVue from '@assets/js/adm-vue.js';
import documentReady from '@assets/js/documentReady';
import FixedContentOnScroll from '../../fixed-content';

documentReady(() => {
  new FixedContentOnScroll(document.querySelector('.js-fixed-on-top'), {
    discountTop: [document.querySelector('.js-header__main')],
  });
});

const vm = new AdmVue({
  data() {
    return {
      configurations: {},
      loading: false,
    };
  },
  methods: {
    disabledAfterToday(date) {
      const today = new Date();
      return date > today;
    },
  },
});

AdmVue.init(vm);
